{
  pkgs,
  outputs,
  systemConfig,
  ...
}:

{
  environment.systemPackages = with pkgs; [
    nix-prefetch-github # Cmd to get rev and hash from GitHub
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  nixpkgs = {
    # Allow unfree packages
    config.allowUnfree = true;
    overlays = [ outputs.overlays.unstable-packages ];
  };

  system = {
    rebuild.enableNg = true;
    stateVersion = systemConfig.version;
  };
}
